package com.kym.service;

import com.github.yulichang.base.MPJBaseService;
import com.kym.entity.Banner;
import com.kym.entity.queryParams.BannerQueryParam;
import com.kym.entity.common.PageBean;

import java.util.List;

/**
 * <p>
 * banner配置表 服务类
 * </p>
 *
 * @author skyline
 * @since 2023-10-18
 */
public interface BannerService extends MPJBaseService<Banner> {

    Banner createBanner(Banner banner);

    Banner updateBanner(Banner banner);

    PageBean<Banner> listBanner(BannerQueryParam params);

    List<Banner> listBannerForApp();
}
